//----------------------------------------------------------------------
//	Copyright  1990-2005 by Imaginova Canada, Inc., All rights reserved.
//
//	File:		ListBox.cpp
//
//	Contains:	List Dialog Box class.
//								
//	Authors:	Marko Kudjerski
//
//	Date		Initials	Version		Comments
//  ----------	---------	----------	---------------------------
//	05/03/02	MK			5.0.2		Orion alignment dialogs
//----------------------------------------------------------------------

#include "ListBox.h"

#pragma mark ---TListBox---

//----------------------------------------------------------------------
//	TListBox::CreateNewListBox
//
//	Purpose:	Create the list box based on the OS
//					
//	Date		Initials	Version		Comments
//  ----------	---------	----------	---------------------------
//	05/03/02	MK			5.0.2		Orion alignment dialogs
//----------------------------------------------------------------------
TListBox* TListBox::CreateNewListBox(void){
	#if TARGET_OS_MAC
		return new TMacListBox();
	#elif TARGET_OS_WIN32		
		return new TWinListBox(gDLLInstance);
	#else		
		return NULL;	
	#endif
}	

//----------------------------------------------------------------------
//	TListBox::TListBox
//
//	Purpose:	Default TListBox constructor
//					
//	Date		Initials	Version		Comments
//  ----------	---------	----------	---------------------------
//	05/03/02	MK			5.0.2		Orion alignment dialogs
//
//----------------------------------------------------------------------
TListBox::TListBox(void){}

//----------------------------------------------------------------------
//	TListBox::~TListBox
//
//	Purpose:	destruct 
//					
//	Date		Initials	Version		Comments
//  ----------	---------	----------	---------------------------
//	05/03/02	MK			5.0.2		Orion alignment dialogs
//
//----------------------------------------------------------------------
TListBox::~TListBox(void){}