//----------------------------------------------------------------------
//	Copyright  1990-2002 by SPACE.com Canada, Inc., All rights reserved.
//
//	File:		ScopeAdvancedBox.cpp
//
//	Contains:	Telescope Advanced Dialog Box class (for testing only!)
//	Authors:	Marko Kudjerski (based on ConfigDialogHandler by Dave Whipps)
//
//	Date		Initials	Version		Comments
//  ----------	---------	----------	---------------------------
//	04/07/13	MK			5.0			Advanced Dialog Box handler
//
//----------------------------------------------------------------------

#include "ScopeAdvancedBox.h"

#pragma mark ---TScopeAdvancedBox---
//----------------------------------------------------------------------
//	TScopeAdvancedBox::CreateNewAdvancedBox
//
//	Purpose:	Create the configure box based on the OS
//					
//	Date		Initials	Version		Comments
//  ----------	---------	----------	---------------------------
//	01/09/18	DWW			4.0.0		New for Pro 4.0
//----------------------------------------------------------------------
TScopeAdvancedBox* TScopeAdvancedBox::CreateNewAdvancedBox(void)
{
	#if TARGET_OS_MAC
		return new TMacScopeAdvancedBox();
	
	#elif TARGET_OS_WIN32
		return new TWinScopeAdvancedBox(gDLLInstance);
	
	#else
		return NULL;
	#endif
}

//----------------------------------------------------------------------
//	TScopeAdvancedBox::TScopeAdvancedBox
//
//	Purpose:	Default TScopeAdvancedBox constructor
//					
//	Date		Initials	Version		Comments
//  ----------	---------	----------	---------------------------
//	01/09/18	DWW			4.0.0		New for Pro 4.0
//
//----------------------------------------------------------------------
TScopeAdvancedBox::TScopeAdvancedBox(void)
{
}

//----------------------------------------------------------------------
//	TScopeAdvancedBox::~TScopeAdvancedBox
//
//	Purpose:	destruct 
//					
//	Date		Initials	Version		Comments
//  ----------	---------	----------	---------------------------
//	01/09/18	DWW			4.0.0		New for Pro 4.0
//
//----------------------------------------------------------------------
TScopeAdvancedBox::~TScopeAdvancedBox(void)
{
}
