//----------------------------------------------------------------------
//	Copyright  1990-2002 by SPACE.com Canada, Inc., All rights reserved.
//
//	File:		ScopeWarningBox.cpp
//
//	Contains:	Telescope Warninguration Dialog Box class.
//								
//	Authors:	Dave Whipps
//
//	Date		Initials	Version		Comments
//  ----------	---------	----------	---------------------------
//	05/03/02	MK			5.0.2		Orion alignment dialogs
//----------------------------------------------------------------------

#include "ScopeWarningBox.h"

#pragma mark ---TScopeWarningBox---

//----------------------------------------------------------------------
//	TScopeWarningBox::CreateNewWarningBox
//
//	Purpose:	Create the configure box based on the OS
//					
//	Date		Initials	Version		Comments
//  ----------	---------	----------	---------------------------
//	05/03/02	MK			5.0.2		Orion alignment dialogs
//----------------------------------------------------------------------
TScopeWarningBox* TScopeWarningBox::CreateNewWarningBox(void){
	#if TARGET_OS_MAC
		return new TMacScopeWarningBox();
	#elif TARGET_OS_WIN32		
		return new TWinScopeWarningBox(gDLLInstance);
	#else		
		return NULL;	
	#endif
}	

//----------------------------------------------------------------------
//	TScopeWarningBox::TScopeWarningBox
//
//	Purpose:	Default TScopeWarningBox constructor
//					
//	Date		Initials	Version		Comments
//  ----------	---------	----------	---------------------------
//	01/09/18	DWW			4.0.0		New for Pro 4.0
//
//----------------------------------------------------------------------
TScopeWarningBox::TScopeWarningBox(void){}

//----------------------------------------------------------------------
//	TScopeWarningBox::~TScopeWarningBox
//
//	Purpose:	destruct 
//					
//	Date		Initials	Version		Comments
//  ----------	---------	----------	---------------------------
//	01/09/18	DWW			4.0.0		New for Pro 4.0
//
//----------------------------------------------------------------------
TScopeWarningBox::~TScopeWarningBox(void){}