
//-ScopeWarningBox---------------------------------------------------------------------
//	Copyright  1990-2002 by SPACE.com Canada, Inc., All rights reserved.
//
//	File:		ScopeWarningBox.h
//
//	Contains:	Telescope Configuration Dialog Box class.
//								
//	Authors:	Marko Kudjerski
//
//	Date		Initials	Version		Comments
//  ----------	---------	----------	---------------------------
//	05/03/02	MK			5.0.2		Orion alignment dialogs
//
//----------------------------------------------------------------------

//----------------------------------------------------------------------
//	Class:		TScopeWarningBox
//
//	Purpose:	Base class for the telescope configuration dialog box
//			
//	Date		Initials	Version		Comments
//  ----------	---------	----------	---------------------------
//	05/03/02	MK			5.0.2		Orion alignment dialogs
//----------------------------------------------------------------------
class TScopeWarningBox
{
	public:
	
	static TScopeWarningBox*	CreateNewWarningBox(void);

	//construction
	public:			 
							TScopeWarningBox(void);
		virtual		 		~TScopeWarningBox(void);
		
	public:
		virtual UInt32		DisplayAndRunWarningBox(void) = 0;
};

#if TARGET_OS_MAC
//----------------------------------------------------------------------
//	Class:		TMacScopeWarningBox
//
//	Purpose:	Macintosh class for the telescope configuration box
//			
//	Date		Initials	Version		Comments
//  ----------	---------	----------	---------------------------
//	05/03/02	MK			5.0.2		Orion alignment dialogs
//----------------------------------------------------------------------
class TMacScopeWarningBox : public TScopeWarningBox
{
	// construction
	public:			
						 TMacScopeWarningBox(void);
		virtual		 	~TMacScopeWarningBox(void);
		
	public:
		pBoolean		m_OKed;
		virtual UInt32		DisplayAndRunWarningBox(void);
		
	protected:
		OSStatus 		CreateDialogBox();
		
	private:
		pBoolean		boxSelection;
};
#endif /*TARGET_OS_MAC*/

#if TARGET_OS_WIN32
//----------------------------------------------------------------------
//	Class:		TWinScopeWarningBox
//
//	Purpose:	Windows class for the telescope configuration box
//			
//	Date		Initials	Version		Comments
//  ----------	---------	----------	---------------------------
//	01/12/12	DWW			4.0.0		New for Pro 4.0
//----------------------------------------------------------------------
class TWinScopeWarningBox : public TScopeWarningBox
{
	// Construction
	public:			
						 TWinScopeWarningBox(HINSTANCE 	inPluginDLLInstanceHandle);
		virtual		 	~TWinScopeWarningBox(void);
	
	public:
		virtual UInt32		DisplayAndRunWarningBox(void);
	protected:
		void 			CreateDialogBox();
		
	private:
		HINSTANCE 		pluginDLLInstanceHandle;
};
#endif /*TARGET_OS_WIN32*/