
//-ListBox---------------------------------------------------------------------
//	Copyright  1990-2005 by Imaginova Canada, Inc., All rights reserved.
//
//	File:		ListBox.h
//
//	Contains:	List Dialog Box class.
//								
//	Authors:	Marko Kudjerski
//
//	Date		Initials	Version		Comments
//  ----------	---------	----------	---------------------------
//	05/03/02	MK			5.0.2		Orion alignment dialogs
//
//----------------------------------------------------------------------

//----------------------------------------------------------------------
//	Class:		TListBox
//
//	Purpose:	Base class for the list dialog box
//			
//	Date		Initials	Version		Comments
//  ----------	---------	----------	---------------------------
//	05/03/02	MK			5.0.2		Orion alignment dialogs
//----------------------------------------------------------------------
class TListBox
{
	public:

	pBoolean			m_OK;
	UInt16				m_SelectionIndex;

	static TListBox*	CreateNewListBox(void);

	//construction
	public:			 
							TListBox(void);
		virtual		 		~TListBox(void);
		
	public:
		virtual UInt32		DisplayAndRunListBox(void) = 0;
		virtual void		SetListSelectionIndex(void) = 0;
};

#if TARGET_OS_MAC
//----------------------------------------------------------------------
//	Class:		TMacListBox
//
//	Purpose:	Macintosh class for the list box
//			
//	Date		Initials	Version		Comments
//  ----------	---------	----------	---------------------------
//	05/03/02	MK			5.0.2		Orion alignment dialogs
//----------------------------------------------------------------------
class TMacListBox : public TListBox
{
	// construction
	public:			
						 TMacListBox(char* title = "", char* text = "");
		virtual		 	~TMacListBox(void);
		
	public:
		virtual UInt32	DisplayAndRunListBox(void);
		virtual void	SetListSelectionIndex(void);
		
	protected:
		OSStatus 		CreateDialogBox();
		
	private:
		LStr255			windowTitle;   //title of the window
		LStr255			windowText;    //static text in the window
		
};
#endif /*TARGET_OS_MAC*/

#if TARGET_OS_WIN32
//----------------------------------------------------------------------
//	Class:		TWinListBox
//
//	Purpose:	Windows class for the list box
//			
//	Date		Initials	Version		Comments
//  ----------	---------	----------	---------------------------
//	05/03/02	MK			5.0.2		Orion alignment dialogs 
//----------------------------------------------------------------------
class TWinListBox : public TListBox
{
	// Construction
	public:			
						 TWinListBox(HINSTANCE 	inPluginDLLInstanceHandle);
		virtual		 	~TWinListBox(void);
	
	public:
		virtual UInt32		DisplayAndRunListBox(void);
		virtual void		SetListSelectionIndex(void);
		
	protected:
		void 			CreateDialogBox();
		
	private:
		HINSTANCE 		pluginDLLInstanceHandle;
};
#endif /*TARGET_OS_WIN32*/