
//----------------------------------------------------------------------
//	Copyright  1990-2002 by SPACE.com Canada, Inc., All rights reserved.
//
//	File:		ScopeAdvancedBox.h
//
//	Contains:	Telescope Advanced Dialog Box class (for testing only!)
//	Authors:	Marko Kudjerski (based on ConfigDialogHandler by Dave Whipps)
//
//	Date		Initials	Version		Comments
//  ----------	---------	----------	---------------------------
//	04/07/13	MK			5.0			Advanced Dialog Box handler
//
//----------------------------------------------------------------------

//----------------------------------------------------------------------
//	Class:		TScopeAdvancedBox
//
//	Purpose:	Base class for the telescope configuration dialog box
//			
//	Date		Initials	Version		Comments
//  ----------	---------	----------	---------------------------
//	01/12/12	DWW			4.0.0		New for Pro 4.0
//----------------------------------------------------------------------
class TScopeAdvancedBox
{
	public:
	
	static TScopeAdvancedBox*	CreateNewAdvancedBox(void);

	//construction
	public:			 
							TScopeAdvancedBox(void);
		virtual		 		~TScopeAdvancedBox(void);
		
	public:
		virtual UInt32		DisplayAndRunAdvancedBox(void) = 0;
};

#if TARGET_OS_MAC
//----------------------------------------------------------------------
//	Class:		TMacScopeAdvancedBox
//
//	Purpose:	Macintosh class for the telescope configuration box
//			
//	Date		Initials	Version		Comments
//  ----------	---------	----------	---------------------------
//	01/12/12	DWW			4.0.0		New for Pro 4.0
//----------------------------------------------------------------------
class TMacScopeAdvancedBox : public TScopeAdvancedBox
{
	// construction
	public:			
						 TMacScopeAdvancedBox(void);
		virtual		 	~TMacScopeAdvancedBox(void);
		
	public:
		virtual UInt32		DisplayAndRunAdvancedBox(void);
		
	protected:
		OSStatus 		CreateDialogBox(void);

};
#endif /*TARGET_OS_MAC*/

#if TARGET_OS_WIN32
//----------------------------------------------------------------------
//	Class:		TWinScopeAdvancedBox
//
//	Purpose:	Windows class for the telescope configuration box
//			
//	Date		Initials	Version		Comments
//  ----------	---------	----------	---------------------------
//	01/12/12	DWW			4.0.0		New for Pro 4.0
//----------------------------------------------------------------------
class TWinScopeAdvancedBox : public TScopeAdvancedBox
{
	// Construction
	public:			
						 TWinScopeAdvancedBox(HINSTANCE 	inPluginDLLInstanceHandle);
		virtual		 	~TWinScopeAdvancedBox(void);
	
	public:
		virtual UInt32		DisplayAndRunAdvancedBox(void);
	protected:
		void 			CreateDialogBox();
		
	private:
		HINSTANCE 		pluginDLLInstanceHandle;
};
#endif /*TARGET_OS_WIN32*/