//----------------------------------------------------------------------
//	Copyright  1990-2005 by Imaginova Canada, Inc., All rights reserved.
//
//	File:		ScopeConfigBox.cpp
//
//	Contains:	Telescope Configuration Dialog Box class.
//								
//	Authors:	Dave Whipps
//
//	Date		Initials	Version		Comments
//  ----------	---------	----------	---------------------------
//	01/12/12	DWW			4.0.0		New internal telescope support for Pro 4
//----------------------------------------------------------------------

#include "ScopeConfigBox.h"

#pragma mark ---TScopeConfigBox---
//----------------------------------------------------------------------
//	TScopeConfigBox::CreateNewConfigBox
//
//	Purpose:	Create the configure box based on the OS
//					
//	Date		Initials	Version		Comments
//  ----------	---------	----------	---------------------------
//	01/09/18	DWW			4.0.0		New for Pro 4.0
//----------------------------------------------------------------------
TScopeConfigBox* TScopeConfigBox::CreateNewConfigBox(void)
{
	#if TARGET_OS_MAC
		return new TMacScopeConfigBox();
	
	#elif TARGET_OS_WIN32
		return new TWinScopeConfigBox(gDLLInstance);
	
	#else
		return NULL;
	#endif
}


//----------------------------------------------------------------------
//	TScopeConfigBox::ReadPrefsFromFile
//
//	Purpose:	Read out the default scope and port types from the prefs file.
//					
//	Date		Initials	Version		Comments
//  ----------	---------	----------	---------------------------
//	01/09/18	DWW			4.0.0		New for Pro 4.0
//
//----------------------------------------------------------------------
pBoolean TScopeConfigBox::ReadPrefsFromFile(scopeType&	outScopeTypeIndex, 
											UInt32& 	outSerialPortIndex, 
											pBoolean& 	outSetTimeAndLocOnOpen)
{
	return true;
}

//----------------------------------------------------------------------
//	TScopeConfigBox::SavePrefsToFile
//
//	Purpose:	Save the input scope type and serial port indexs to the prefs file
//					
//	Date		Initials	Version		Comments
//  ----------	---------	----------	---------------------------
//	01/09/18	DWW			4.0.0		New for Pro 4.0
//
//----------------------------------------------------------------------
pBoolean TScopeConfigBox::SavePrefsToFile(	scopeType 	inScopeTypeIndex, 
											UInt32 		inSerialPortIndex, 
											pBoolean 	inSetTimeAndLocOnOpen)
{
	return true;
}
	
//----------------------------------------------------------------------
//	TScopeConfigBox::TScopeConfigBox
//
//	Purpose:	Default TScopeConfigBox constructor
//					
//	Date		Initials	Version		Comments
//  ----------	---------	----------	---------------------------
//	01/09/18	DWW			4.0.0		New for Pro 4.0
//
//----------------------------------------------------------------------
TScopeConfigBox::TScopeConfigBox(void)
{
}

//----------------------------------------------------------------------
//	TScopeConfigBox::~TScopeConfigBox
//
//	Purpose:	destruct 
//					
//	Date		Initials	Version		Comments
//  ----------	---------	----------	---------------------------
//	01/09/18	DWW			4.0.0		New for Pro 4.0
//
//----------------------------------------------------------------------
TScopeConfigBox::~TScopeConfigBox(void)
{
}
