//----------------------------------------------------------------------
//	Copyright  1990-2005 by Imaginova Canada, Inc., All rights reserved.
//
//	File:		ResourceConstants.h
//
//	Contains:	Constants referring to NIB file controls.
//								
//	Authors:	Dave Whipps
//
//	Date		Initials	Version		Comments
//  ----------	---------	----------	---------------------------
//	02/04/04	DWW			4.0.0		New internal telescope support for Pro 4
//----------------------------------------------------------------------

#define kPluginApplicationSignature 'xPLG'

// These DO appear in the plugin as they are part of the configure dialog box
// ConfigDialog.nib Control ID's
#define kCommPortStaticTextID		121
#define kCommPortPopupMenuID 		122
#define kScopeTypeStaticTextID 		123
#define kScopeTypePopupMenuID 		124
//#define kSetTimeLocRadioID 		125 // removed for now..
#define kCancelButtonID			 	127
#define kOKButtonID				 	128

// Alignment Dialogs' control IDs
#define kStaticText					221
#define kListBox					222

// Other
// Used to keep track of the state of the "attempt to set time/location on startup" chkbox
#define kCheckCheckbox		1
#define kUncheckCheckbox	0

// Note that you MUST change these strings if you change the bundle identifier in Info.plist
#if qXDebug
	const CFStringRef	kScopePluginBundleIdentifier = CFSTR("com.SPACE.StarryNight.BasicTelescopePlugin(debug)");
#else
	const CFStringRef	kScopePluginBundleIdentifier = CFSTR("com.SPACE.StarryNight.BasicTelescopePlugin");
#endif

