//----------------------------------------------------------------------
//	Copyright  1990-2005 by Imaginova Canada, Inc., All rights reserved.
//
//	File:		StatusTextResources.h
//
//	Contains:	Header containing status message constants. These are defined
//				in StatusTextResources.cpp
//								
//	Authors:	Dave Whipps
//
//	Date		Initials	Version		Comments
//  ----------	---------	----------	---------------------------
//	02/04/04	DWW			4.0.0		New internal telescope support for Pro 4
//----------------------------------------------------------------------

#include "PluginLString.h"

///////////////////////////////////////////////////////////////////////////
// Telescope status messages and informative text						 //
///////////////////////////////////////////////////////////////////////////


// These are DEFINED in ControllerPluginUtils.cpp
extern const LStr255 kMessage_ConfigureConnection;
extern const LStr255 kInformative_ConfigureConnection;

extern const LStr255 kMessage_ConnectionClosed;
extern const LStr255 kInformative_ConnectionClosed;

extern const LStr255 kMessage_Tracking;
extern const LStr255 kInformative_Tracking;

extern const LStr255 kMessage_GenericError;
extern const LStr255 kInformative_GenericError;

extern const LStr255 kMessage_SNLocationChanged;
extern const LStr255 kInformative_SNLocationChanged;

extern const LStr255 kMessage_CommunicationError;
extern const LStr255 kInformative_CommunicationError;

extern const LStr255 kMessage_BelowHorizon;
extern const LStr255 kInformative_BelowHorizon;

extern const LStr255 kMessage_LX200Specific;
extern const LStr255 kInformative_LX200Specific;

extern const LStr255 kMessage_ConnectionError;
extern const LStr255 kInformative_ConnectionError;

extern const LStr255 kRAStringToReplace;
extern const LStr255 kDecStringToReplace;
extern const LStr255 kErrorStringToReplace;

extern const LStr255 kMessage_SpecificError;
extern const LStr255 vInformative_SpecificError;		

extern const LStr255 kMessage_Idle;
extern const LStr255 kInformative_Idle;

extern const LStr255 kMessage_Tracking;
extern const LStr255 kkMessage_Tracking;

extern const LStr255 kMessage_Following;
extern const LStr255 kInformative_Following;

extern const LStr255 kMessage_Reporting;
extern const LStr255 kInformative_Reporting;

extern const LStr255 kMessage_Slewing;
extern const LStr255 kInformative_Slewing;

extern const LStr255 kMessage_Synching;
extern const LStr255 kInformative_Synching;
		
// Specific telescope errors.

