//----------------------------------------------------------------------
//	Copyright  1999-2005 by Imaginova Canada, Inc., All rights reserved.
//
//	File:		MacCarbonSerialPrefixFile.h
//
//	Contains:	Headers and target defines for the Mac debug telescope plugin 
//					
//	Authors:	Dave Whipps
//
//	Date		Initials	Version		Comments
//  ----------	---------	----------	---------------------------
//	01/09/25	DWW			4.0.0		new for the scope plugin
//----------------------------------------------------------------------
#pragma once

// What target are we compiling
#define	qXDebug							1
#define TARGET_SN_PLUGIN 				1
#define TARGET_OS_MAC 					1
#define TARGET_OS_WIN32 				0


// Debugging stuff
#define PluginAssert(x)	assert(x)

// Macintosh includes
// MSL stuff
#if (__mwlinker__)
	#include "MSL MacHeadersMach-O.h"
#else
	#include <Carbon/Carbon.h>
	#include <CoreFoundation/CoreFoundation.h>

	// Standard C includes
	#include <math.h>
	#include <Assert.h>
	#include <string.h>
	#include <time.h>
	
	#include <errno.h>
	#include <sysexits.h>
	#include <sys/param.h>
#endif

#include <IOKit/IOKitLib.h>
#include <IOKit/serial/IOSerialKeys.h>
#include <IOKit/IOBSD.h>
#include <termios.h>
#include <paths.h>
#include <fcntl.h>
#include <iostream.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>


// telescope utils
#include "PluginLString.h"
#include "ScopeControllerConstants.h"

// Resources (Mac)
#include "ResourceConstants.h"
#include "StatusTextResources.h"
	
// starry night
//#include "StarryNightPlugins.h"